### Method

# Ide Page create_split

#### Declaration

    IdePage*
    ide_page_create_split (
      IdePage* self
    )

#### Description

This function requests that the `IdePage` create a split version of itself so that the user may view the document in multiple views.

The view should be added to an `IdeLayoutStack` where appropriate.

Available since: | 3.32

#### Return value

Returns: | `IdePage`
| A newly created `IdePage` or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.